### Method

# Gimp Image get_floating_sel

#### Declaration [src]

    GimpLayer*
    gimp_image_get_floating_sel (
      GimpImage* image
    )

#### Description [src]

Return the floating selection of the image.

This procedure returns the image’s floating selection, if it exists. If it doesn’t exist, -1 is returned as the layer ID.

#### Return value

Type: `GimpLayer`

The image’s floating selection.

The returned data is owned by the instance.